Bug 181782 - [maintainer update] sysutils/monit 5.6
Summary: [maintainer update] sysutils/monit 5.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-03 18:10 UTC by martinp
Modified: 2013-09-04 02:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description martinp 2013-09-03 18:10:00 UTC
diff -ruN monit/Makefile monit-new/Makefile
--- monit/Makefile	2013-06-09 18:59:10.000000000 +0200
+++ monit-new/Makefile	2013-09-03 18:58:27.000000000 +0200
@@ -2,7 +2,7 @@
 # $FreeBSD: sysutils/monit/Makefile 320353 2013-06-09 16:59:10Z miwi $
 
 PORTNAME=	monit
-PORTVERSION=	5.5.1
+PORTVERSION=	5.6
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.mmonit.com/monit/dist/
 
diff -ruN monit/distinfo monit-new/distinfo
--- monit/distinfo	2013-06-09 18:59:10.000000000 +0200
+++ monit-new/distinfo	2013-09-03 18:58:41.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (monit-5.5.1.tar.gz) = dbe4b4744a7100e2d5f4eac353dfb2df0549848e2c7661d9c19acc31cdef2c78
-SIZE (monit-5.5.1.tar.gz) = 1260093
+SHA256 (monit-5.6.tar.gz) = 38e09bd8b39abc59e6b9a9bb7a78f7eac2b02a92f4de1f3a6dc24e84dfedae0d
+SIZE (monit-5.6.tar.gz) = 1263370
Comment 1 Mark Felder freebsd_committer 2013-09-03 18:56:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->feld

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-09-04 02:15:53 UTC
Author: feld
Date: Wed Sep  4 01:15:45 2013
New Revision: 326240
URL: http://svnweb.freebsd.org/changeset/ports/326240

Log:
  - Update to 5.6
  - Port cleanup
  
  PR:		ports/181782
  Submitted by:	martinp@tildeslash.com
  Approved by:	swills (mentor)

Modified:
  head/sysutils/monit/Makefile
  head/sysutils/monit/distinfo
  head/sysutils/monit/files/monit.in

Modified: head/sysutils/monit/Makefile
==============================================================================
--- head/sysutils/monit/Makefile	Wed Sep  4 01:00:53 2013	(r326239)
+++ head/sysutils/monit/Makefile	Wed Sep  4 01:15:45 2013	(r326240)
@@ -2,17 +2,17 @@
 # $FreeBSD$
 
 PORTNAME=	monit
-PORTVERSION=	5.5.1
+PORTVERSION=	5.6
 CATEGORIES=	sysutils
 MASTER_SITES=	http://www.mmonit.com/monit/dist/
 
 MAINTAINER=	martinp@tildeslash.com
 COMMENT=	Unix system management and proactive monitoring
 
-MAN1=		monit.1
+MAN1=	monit.1
 
 GNU_CONFIGURE=	yes
-USES=		bison
+USES=	bison
 USE_GMAKE=	yes
 USE_RC_SUBR=	${PORTNAME}
 
@@ -20,27 +20,26 @@ CONFIGURE_ENV=	CONFIG_SHELL="${SH}" \
 		LOCALBASE="${LOCALBASE}"
 
 OPTIONS_DEFINE=	SSL
-OPTIONS_DEFAULT=SSL
+OPTIONS_DEFAULT=	SSL
 
 PLIST_FILES=	bin/monit \
 		etc/monitrc.sample
 
 SUB_FILES=	pkg-message
 
-DOCS=		CHANGES COPYING README
-PORTDOCS=	${DOCS:T}
+PORTDOCS=	CHANGES COPYING README
 
 .include <bsd.port.options.mk>
 
-.if empty(PORT_OPTIONS:MSSL)
+.if ! ${PORT_OPTIONS:MSSL}
 CONFIGURE_ARGS+=	--without-ssl
 .endif
 
 post-install:
 	${INSTALL} -m 600 ${WRKSRC}/monitrc ${PREFIX}/etc/monitrc.sample
-.if !defined(NOPORTDOCS)
-	${MKDIR} ${DOCSDIR}
-	cd ${WRKSRC} && ${INSTALL} -m 644 ${DOCS} ${DOCSDIR}/
+.if ${PORT_OPTIONS:MDOCS}
+	${INSTALL} -d ${DOCSDIR}
+	cd ${WRKSRC} && ${INSTALL} -m 644 ${PORTDOCS} ${DOCSDIR}
 .endif
 	@${CAT} ${PKGMESSAGE}
 

Modified: head/sysutils/monit/distinfo
==============================================================================
--- head/sysutils/monit/distinfo	Wed Sep  4 01:00:53 2013	(r326239)
+++ head/sysutils/monit/distinfo	Wed Sep  4 01:15:45 2013	(r326240)
@@ -1,2 +1,2 @@
-SHA256 (monit-5.5.1.tar.gz) = dbe4b4744a7100e2d5f4eac353dfb2df0549848e2c7661d9c19acc31cdef2c78
-SIZE (monit-5.5.1.tar.gz) = 1260093
+SHA256 (monit-5.6.tar.gz) = 38e09bd8b39abc59e6b9a9bb7a78f7eac2b02a92f4de1f3a6dc24e84dfedae0d
+SIZE (monit-5.6.tar.gz) = 1263370

Modified: head/sysutils/monit/files/monit.in
==============================================================================
--- head/sysutils/monit/files/monit.in	Wed Sep  4 01:00:53 2013	(r326239)
+++ head/sysutils/monit/files/monit.in	Wed Sep  4 01:15:45 2013	(r326240)
@@ -17,20 +17,21 @@
 #
 . /etc/rc.subr
 
-name="monit"
+name=monit
 rcvar=monit_enable
+load_rc_config ${name}
 
-restart_precmd="monit_checkconfig"
-reload_precmd="monit_checkconfig"
-[ -z "$monit_enable" ] && monit_enable="NO"
+: ${monit_enable:=NO}
 
-load_rc_config $name
+extra_commands=reload
+restart_precmd=monit_checkconfig
+reload_precmd=monit_checkconfig
 
 default_config=%%PREFIX%%/etc/monitrc
 required_files=${default_config}
 command="%%PREFIX%%/bin/monit"
 command_args="-c ${default_config}"
-pidfile="/var/run/monit.pid"
+pidfile=/var/run/monit.pid
 
 monit_checkconfig()
 {
@@ -38,5 +39,4 @@ monit_checkconfig()
 	${command} ${command_args} -t
 }
 
-extra_commands="reload"
 run_rc_command "$1"
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Mark Felder freebsd_committer 2013-09-04 02:16:14 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!